## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate effective-limits

Name:           rust-effective-limits
Version:        0.5.5
Release:        %autorelease
Summary:        Estimate effective resource limits for a process

License:        Apache-2.0
URL:            https://crates.io/crates/effective-limits
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          effective-limits-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * prevent test-only executable from being built and shipped
# * exclude files that are only useful for upstream development
Patch:          effective-limits-fix-metadata.diff
# https://github.com/rbtcollins/effective-limits.rs/pull/46
Patch:          0001-fix-compilation-of-tests-on-32-bit-architectures.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Estimate effective resource limits for a process e.g. how much RAM is
available for use.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE.txt
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * skip tests that require running the dropped test executable
%cargo_test -- -- --exact --skip tests::test_no_ulimit --skip tests::test_ulimit
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Nov 07 2023 Fabio Valentini <decathorpe@gmail.com> - 0.5.5-1
- Initial import (#2247957)
## END: Generated by rpmautospec
